Bug 894926 - Review Request: json - JavaScript Object Notation support in Java
Summary: Review Request: json - JavaScript Object Notation support in Java
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 837450 875692
TreeView+ depends on / blocked
 
Reported: 2013-01-14 02:52 UTC by gil cattaneo
Modified: 2013-01-24 16:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-24 16:39:10 UTC


Attachments (Terms of Use)

Description gil cattaneo 2013-01-14 02:52:22 UTC
Spec URL: http://gil.fedorapeople.org/json.spec
SRPM URL: http://gil.fedorapeople.org/json-20121113-1.fc18.src.rpm
Description: 
JSON (JavaScript Object Notation) is a lightweight data-interchange format.
It is easy for humans to read and write. It is easy for machines to parse and
generate. It is based on a subset of the JavaScript Programming Language,
Standard ECMA-262 3rd Edition - December 1999. JSON is a text format that
is completely language independent but uses conventions that are familiar
to programmers of the C-family of languages, including C, C++, C#, Java,
JavaScript, Perl, Python, and many others.

These properties make JSON an ideal data-interchange language.

Fedora Account System Username: gil

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=4866181

Comment 1 Michael J Gruber 2013-01-21 15:41:32 UTC
How does this relate to the following package:

https://admin.fedoraproject.org/pkgdb/acls/name/json

It was retired 2012-08-06 because of a supposedly dead upstream. If the situation has changed then please follow the unretire procedure.

Comment 2 gil cattaneo 2013-01-24 16:39:10 UTC
this package can be consider non free

Copyright (c) 2002 JSON.org

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

The Software shall be used for Good, not Evil.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.


Note You need to log in before you can comment on or make changes to this bug.